Description: Support multiple Python versions for testing
 We wish to run the autopkgtest tests with all supported Python versions.
 This patch allows this by passing the Python version as an argument
 to the test script.
Forwarded: not-needed
Author: Julian Gilbey <jdg@debian.org>
Last-Update: 2023-07-02

--- a/test/test.sh
+++ b/test/test.sh
@@ -4,8 +4,9 @@
 
 WORKDIR=$(dirname "$0")
 VENV_DIR=$(mktemp -d)
+PYTHON=${1:-python3}
 
-python3 -m venv "$VENV_DIR"
+$PYTHON -m venv "$VENV_DIR"
 source "$VENV_DIR/bin/activate"
 pylint --rcfile "$WORKDIR/pylintrc" "$WORKDIR/empty.py" 2>&1 | tee "$VENV_DIR/pylint.log" | grep "^Using venv: $VENV_DIR\$"
 pylint --rcfile "$WORKDIR/pyproject.toml" "$WORKDIR/empty.py" 2>&1 | tee "$VENV_DIR/pylint.log" | grep "^Using venv: $VENV_DIR\$"
